//+------------------------------------------------------------------+
//|                                           fast-start-example.mq5 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
#include <Trade\Trade.mqh>                                         //include the library for execution of trades
#include <Trade\PositionInfo.mqh>                                  //include the library for obtaining information on positions
#include <Trade\SymbolInfo.mqh>

string            my_symbol;                               //variable for storing the symbol
ENUM_TIMEFRAMES   my_timeframe;                             //variable for storing the time frame

CTrade            Trade_A;                                 //structure for execution of trades
CPositionInfo     m_Position;                              //structure for obtaining information of positions
CSymbolInfo     SymbolInfo;
string EA_Symbols_Array[];
string SYMBOLS_OF_PAIR[] = {
    "EURCHF;CHFJPY;EURJPY", "GBPCHF;CHFJPY;GBPJPY", "USDCHF;CHFJPY;USDJPY", "EURGBP;GBPCHF;EURCHF",
    "EURUSD;USDCHF;EURCHF", "EURGBP;GBPJPY;EURJPY", "EURGBP;GBPUSD;EURUSD", "EURUSD;USDJPY;EURJPY",
    "GBPUSD;USDCHF;GBPCHF", "GBPUSD;USDJPY;GBPJPY"
};


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
   my_symbol=Symbol();                                      //save the current chart symbol for further operation of the EA on this very symbol
   my_timeframe=PERIOD_CURRENT;                              //save the current time frame of the chart for further operation of the EA on this very time frame
                                              //return 0, initialization complete
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
	  double spread = SymbolInfoDouble(my_symbol, SYMBOL_ASK) - SymbolInfoDouble(my_symbol, SYMBOL_BID);
	  Print("Spread Using BID-ASK",spread);
	  SymbolInfo.Name(my_symbol);
	  Print("Spread Using SymbolInfo",SymbolInfo.Spread());
	  
//--- Set parameters for trading operations
//--- set the magic number
   Trade_A.SetExpertMagicNumber(123);
//--- set the permissible slippage in points upon deal execution
   Trade_A.SetDeviationInPoints(100);
//--- order filling mode, use the mode that is allowed by the server
   Trade_A.SetTypeFilling(ORDER_FILLING_RETURN);
//--- logging mode, it is advisable not to call this method as the class will set the optimal mode by itself
   Trade_A.LogLevel(1);
//--- the function to be used for trading: true - OrderSendAsync(), false - OrderSend()
   Trade_A.SetAsyncMode(true);

	  
	  for(int i = 0 ; i<10;i++){
		int  symbol_size = StringSplit(reqPair, StringGetCharacter(";", 0), SYMBOLS_OF_PAIR[i]);
		for(int j = 0 ; j<symbol_size;j++){
			if(PositionSelect(SYMBOLS_OF_PAIR[j])){
				
			}else{
					Trade_A.Buy(0.01,SYMBOLS_OF_PAIR[j]);
			}
			
		}
	  }
  }	

 

